diff -Nru ca-certificates-java-20121112+nmu1/debian/changelog ca-certificates-java-20121112+nmu2/debian/changelog
--- ca-certificates-java-20121112+nmu1/debian/changelog	2012-11-29 00:59:50.000000000 +0100
+++ ca-certificates-java-20121112+nmu2/debian/changelog	2013-01-23 12:43:10.000000000 +0100
@@ -1,3 +1,12 @@
+ca-certificates-java (20121112+nmu2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * postinst, jks-keystore.hook: Do not fail if nss.cfg does not (yet) exist,
+    i.e. if openjdk-?-jre-headless is unpacked but not yet configured.
+    (Closes: #694888)
+
+ -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Jan 2013 12:25:57 +0100
+
 ca-certificates-java (20121112+nmu1) unstable; urgency=low
 
   * Non-maintainer upload
diff -Nru ca-certificates-java-20121112+nmu1/debian/jks-keystore.hook.in ca-certificates-java-20121112+nmu2/debian/jks-keystore.hook.in
--- ca-certificates-java-20121112+nmu1/debian/jks-keystore.hook.in	2012-11-13 01:50:31.000000000 +0100
+++ ca-certificates-java-20121112+nmu2/debian/jks-keystore.hook.in	2013-01-23 12:42:16.000000000 +0100
@@ -54,7 +54,8 @@
 
 if dpkg-query --version >/dev/null; then
     nsspkg=$(dpkg-query -L "$(nsslib_name)" | sed -n 's,\(.*\)/libnss3\.so$,\1,p'|head -n 1)
-    nssjdk=$(sed -n '/nssLibraryDirectory/s/.*= *\(.*\)/\1/p' /etc/${jvm%-$arch}/security/nss.cfg)
+    nsscfg=/etc/${jvm%-$arch}/security/nss.cfg
+    nssjdk=$(test ! -f $nsscfg || sed -n '/nssLibraryDirectory/s/.*= *\(.*\)/\1/p' $nsscfg)
     if [ -n "$nsspkg" ] && [ -n "$nssjdk" ] && [ "$nsspkg" != "$nssjdk" ]; then
         ln -sf $nsspkg/libnss3.so $nssjdk/libnss3.so
     fi
diff -Nru ca-certificates-java-20121112+nmu1/debian/postinst.in ca-certificates-java-20121112+nmu2/debian/postinst.in
--- ca-certificates-java-20121112+nmu1/debian/postinst.in	2012-11-13 01:44:54.000000000 +0100
+++ ca-certificates-java-20121112+nmu2/debian/postinst.in	2013-01-23 12:39:51.000000000 +0100
@@ -40,7 +40,8 @@
 {
     if which dpkg-query >/dev/null; then
     nsspkg=$(dpkg-query -L "$(nsslib_name)" | sed -n 's,\(.*\)/libnss3\.so$,\1,p'|head -n 1)
-    nssjdk=$(sed -n '/nssLibraryDirectory/s/.*= *\(.*\)/\1/p' /etc/${jvm%-$arch}/security/nss.cfg)
+    nsscfg=/etc/${jvm%-$arch}/security/nss.cfg
+    nssjdk=$(test ! -f $nsscfg || sed -n '/nssLibraryDirectory/s/.*= *\(.*\)/\1/p' $nsscfg)
     if [ -n "$nsspkg" ] && [ -n "$nssjdk" ] && [ "$nsspkg" != "$nssjdk" ]; then
         ln -sf $nsspkg/libnss3.so $nssjdk/libnss3.so
     fi
